Bug 221338 - FC6 CUPS IPP not broadcast on local subnet
Summary: FC6 CUPS IPP not broadcast on local subnet
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-03 21:55 UTC by Gerry Graesser
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-04 17:48:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerry Graesser 2007-01-03 21:55:14 UTC
Description of problem:

FC6 CUPS IPP not getting broadcast on local subnet.
When I reboot from FC6 back to FC5 another FC5 machine
immediately "finds" my three (3) local printers and
can use them remotely.  When I reboot back to FC6 the
the other FC5 machine can continue to remotely use
the printer.

Version-Release number of selected component (if applicable):

cups-1.2.7-1.3.fc6
system-config-printer-0.7.40-1.fc6


How reproducible:

Happens all the time (i.e., no IPP broadcast following boot).


Steps to Reproduce:

1. Network two (2) linux machines with only one having local printer.
2. Boot machine without local printer(s)
3. Boot machine with FC6 and local printer(s) that are susposedly shared.
  
Actual results:

Output from "lpstat -a" on linux machine without local printer is blank

Expected results:

Output from "lpstat -a" on linux machine with local printer should
show the printer(s) local to the FC6 linux machine.

Additional info:

/etc/cups/conf.conf:
         .
         .
         .
# Show shared printers on the local network.
Browsing On
BrowseOrder allow,deny
# (Change '@LOCAL' to 'ALL' if using directed broadcasts from another subnet.)
BrowseAllow @LOCAL
         .
         .
         .

Comment 1 Tim Waugh 2007-01-04 17:07:59 UTC
On the FC6 server, select System->Administration->Printing from the panel menu
and click on 'Server Settings'.  Is the 'Share published printers connected to
this system' checkbox checked?

Comment 2 Gerry Graesser 2007-01-04 17:46:41 UTC
No it was not checked.  After I checked it and
restarted cups everything was working as expected.
I should have done a better job of "snooping" on
my updated FC6 machine before filing this bug report.
Thanks for your help.


Note You need to log in before you can comment on or make changes to this bug.